Thank you for signing up with Petromo. To speed up and ensure a smooth installation of Petromo device, we would like to get some information on your current store configuration.
These quick questions are designed to make it quick and easy for you to provide information so we can do the rest. This information is purely for installation and will not be shared with anyone.

WHAT VERSION OF GILBARCO PASSPORT ARE YOU USING?

Why are you asking me this question?

Petromo is compatible with Gilbarco Passport version 8 and above. Knowing the software version of Passport used can help ensure Petromo is compatible with your POS (Gilbarco Passport).